<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="PIDTuning" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>PIDTuning</refname>

    <refpurpose>computes PID compensator by various methods.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>C = PIDTuning(sys,PIDtype,method,N,varargin) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>sys</term>

        <listitem>
          <para/>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>PIDtype</term>

        <listitem>
          <para>A character string with possible values: "P", "PI",
          "PID".</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>method</term>

        <listitem>
          <para>a character string with possible values :</para>

          <para>"pp" for pole placement method.</para>

          <para>"znsr" for Ziegler Nichols step response method.</para>

          <para>"znfr" for Ziegler Nichols frequency response method.</para>

          <para>"chr" for Chien Hrones Reswick method.</para>

          <para>"amigosr" for Approximate MIGO step response.</para>

          <para>"amigosfr" for Approximate MIGO frequency response.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>N</term>

        <listitem>
          <para>A FAIRE</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>varargin</term>

        <listitem>
          <para>optional in and overshoot parameters for the Chien Hrones
          Reswick method.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>C</term>

        <listitem>
          <para>The PID compensator representation.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Computes PID compensator by various methods.</para>
  </refsection>
</refentry>
